// .dialog-content2 {
//     display: flex;
//     flex-direction: column; /* Arrange content vertically */
//     align-items: flex-start; /* Horizontally center the content */
//     max-height: 95vh;
//     overflow-y: auto;
// }
.dialog-content {
    max-height: 80vh; /* Adjust as needed to fit your layout */
    overflow-y: auto;
}  

/* Scrollbar styles */
.scrollable {
    overflow-y: scroll; /* Forces a scrollbar to appear, even when not needed */
}

.mat-divider {
    width: 100%;
    height: 1px;
    border-top-width: 1px !important;
    margin: 20px 0 !important;
}


// Button Container
.button-container {
    margin: 0 auto;
}

// Info Container
.info-container {
    display: flex;
    flex-direction: column; /* Stack the rows vertically */
    gap: 5px; /* Space between rows */
    max-width: 600px;
    //margin: 0 auto; /* Center the container */
}

.info-row {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.info-label {
    font-weight: bold;
    width: 200px; /* Fixed width to align labels */
    text-align: left;
}

.info-value {
    flex-grow: 1;
    text-align: left;
    color: #333;
}

// Form Container
.form-container {
    border: 2px solid black;
    margin: 0 auto;
}





// --------------------------------------------------------
// Form
.custom-border-right {
    border-right: 1px solid #ccc;         // Subtle separator 
    padding-right: 15px;                    // Add padding to the right
}

.text-form-field {
    width: 80%;
}

.text-form-field-targ {
    width:99%
}

.datetime-form-field {
    width: 80%;
}

.form-button {
    margin-right: 50px;
}

#submit_button {
    background-color: var(--secondary-button-color);
    color: var(--light-font-color);
}

#reset_button {
    line-height: 29px;
    font-size: small;
    border-radius: 1em;
    //background-color: var(--reset-button-color);
    //color: var(--light-font-color);
    margin-right: 20px;
    margin-left: 50px;   
}

.btn-rem {
    background-color: #3e546d;
    color: white;
    min-width: 0;
    padding: 0;
    width: 32px;
    height: 32px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.btn-rem mat-icon {
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
}

mat-form-field.status-tag {
    position: relative;
}

mat-chip.status-chip {
    position: absolute;
    top: 0;
    //bottom: 0;
    right: 0;
    padding: 0px;
    border-radius: 12px;
    color: white;
    pointer-events: auto; /* Allows interaction */
    --mdc-chip-label-text-size: 12px;
    --mdc-chip-label-text-color: #fff;
    //--mdc-chip-label-padding: 0;
}

::ng-deep {
.multiline-tooltip {
    white-space: pre-line;

    .mdc-tooltip__surface {
        max-width: unset;
    }
}
}